<?php
/**
* @package Fifny-cloud-configurators
*/
namespace FCC_Inc\FCC_Base;

class FCC_Activate
{
    public static function activate(){

        $active_plugins = apply_filters( 'active_plugins', get_option( 'active_plugins' ) );
        if ( !( in_array( 'woocommerce/woocommerce.php', $active_plugins ) ) ) {
            deactivate_plugins( 'fifny-cloud-configurators/fifny-cloud-configurators.php' );
            wp_die( __( 'Please install and Activate WooCommerce.', 'woocommerce-addon-slug' ), 'Plugin dependency check', array( 'back_link' => true ) );
        }
        flush_rewrite_rules();
    }

}
