<?php
/**
* @package Fifny-cloud-configurators
*/
/**
 * Plugin Name: Fifny Cloud Configurators
 * Plugin URI: https://fifny.com/integracje/integracja-z-wordpress
 * Description: Integrate your e-commerce with Fifny Cloud Configrators by fifny.com
 * Version: 1.0.3
 * Author: Fifny
 * Author URI: https://fifny.com
 * License: GPLv2 or later
 * Text Domain: fifny-cloud-configurators
 * Domain Path: /lang
**/

defined('ABSPATH') or die( 'Hey, what are you doing here? You stilly human!' );

if( file_exists( dirname( __FILE__ ) . '/vendor/autoload.php')){
  require_once dirname( __FILE__ ) . '/vendor/autoload.php';
}


/**
 * The code that runs during plugin activation
 */
function activate_fifny_cloud_configurators(){
  FCC_Inc\FCC_Base\FCC_Activate::activate();
}
register_activation_hook( __FILE__, 'activate_fifny_cloud_configurators');


/**
 * The code that runs during plugin deactivation
 */
 function deactivate_fifny_cloud_configurators(){
   FCC_Inc\FCC_Base\FCC_Deactivate::dectivate();
 }
 register_deactivation_hook( __FILE__, 'deactivate_fifny_cloud_configurators');


/**
 * Initialize core classes of the plugin
 */
 if( class_exists('FCC_Inc\\FCC_Init') ){
     FCC_Inc\FCC_Init::register_services();
 }
